@import "../../../../assets/scss/index.scss";

.page-menu {
	display: flex;
	border-bottom: 1px solid $colour__underline-green;
	user-select: none;

	&__list {
		display: flex;
		flex-direction: row;
		list-style: none;

		&-item {
			margin: 0;
			padding: 0;
			border: 0;
			font-weight: 400;
			font-size: 1.5rem;
			vertical-align: baseline;

			&__link {
				color: $colour__text-green;
				text-decoration: none;

				display: block;
				line-height: 1.2rem;
				position: relative;
				text-align: right;
				overflow: hidden;
				font-size: 24px;
				padding: 15px 35px;
				transition: all 0.3s;

				&:hover {
					text-decoration: underline;
				}

				&--selected{
					text-decoration: underline;
				}
			}
		}
	}
}

@include media(desktop) {
	.page-menu {
		display: flex;
    flex-direction: column;

		&__list {
			display: flex;
			justify-content: center;
			padding: 0;
		}
	}
}
